import { get, post, postJson } from './http.js';

// 订单列表&订单查询

export const getOrderList = ( params ) => {
  return get( 'app/order/listNew', params )
}
// 订单角标

export const getOrderMarker = ( params ) => {
  return get( 'app/order/markerNew', params )
}

// 发起配送
export const sendValuation = ( params ) => {
  return postJson('app/order/valuation', params)
}

// 发起支付
export const sendOrder = ( params ) => {
  return postJson('app/pay/createOrder', params)
}

// 查询支付结果
export const getPayResult = ( params ) => {
  return get('app/pay/tradeQuery', params)
}

// 补打发票
export const waimaiprinter = ( params ) => {
  return get('app/order/print/waimai', params);
}

// 一件发单备注
export const addRemark = ( params ) => {
  return post('app/order/addRemark', params);
}

// 忽略订单
export const ignoreOrder = ( params ) => {
  return post('app/order/ignoreOrder', params);
}

// 撤回订单
export const rollOrder = ( params ) => {
  return post('app/order/rollOrder', params);
}

// 定时发单
export const setDeliveryTime = ( params ) => {
  return get('app/order/setDeliveryTime', params);
}

// 取消定时发单
export const cancelTimingPublish = ( params ) => {
  return post('app/order/cancelTimingPublish', params);
}

// 取消订单
export const cancelOrder = ( params ) => {
  return post('app/order/cancel', params);
}
